button,
a,
p,
input {
  font-family: var(--fontFamily);
}
ul {
  list-style: none;
}
a {
  text-decoration: none;
}
.blog_header button {
  background-color: transparent;
  border: unset;
}
.blog_header {
  background-color: #000000;
}
.blog_header .blog_header_container,
.blog_header .search_popup_container {
  max-width: 1460px;
  width: 100%;
  margin: 0 auto;
  padding: 0px 20px;
}
.blog_header .search_popup_container {
  padding: 0 0;
}
.blog_header .blog_header_content {
  height: 62px;
  display: flex;
  align-items: center;
  width: 100%;
}
/* start logo area css */
.blog_header .blog_header_logo {
  display: flex;
  width: 100%;
  gap: 12px;
  padding: 12px 0px;
}
.blog_header .text_logo_more_text {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: center;
  gap: 4px;
}
.blog_header .icon_logo {
  display: flex;
  align-items: center;
}

.blog_header .text_logo p {
  font-size: 14px;
  font-weight: 800;
  color: #ffffff;
}
/* more button css for mobile */
.blog_header .more_button button {
  color: #616161;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
/* Header right section css */
.blog_header .right_column {
  border: 1px solid #ebebeb;
  position: absolute;
  width: calc(100% - 40px);
  left: 20px;
  top: 82px;
  padding: 12px 16px;
  border-radius: 8px;
  box-shadow: 0px 4px 4px 0px #0000000d;
  opacity: 0;
  overflow: hidden;
  visibility: hidden;
  transition: max-height 0.3s ease, opacity 0.3s ease, visibility 0.3s ease;
}
.blog_header .right_column.open {
  opacity: 1;
  overflow: visible;
  visibility: visible;
  background-color: #ffffff;
}
.blog_header_menu_and_search {
  display: flex;
  flex-direction: column-reverse;
}

.blog_header .blog_header_menu ul.blog_menu,
.blog_header .blog_header_menu ul.blog_dropdown {
  display: flex;
  flex-direction: column;
}

.blog_header .blog_header_menu ul.blog_menu li.blog_menu_item,
.blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item {
  border-bottom: 1px solid #ebebeb;
}
.blog_header .blog_header_menu ul.blog_menu li.blog_menu_item a,
.blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item a {
  font-size: 14px;
  font-weight: 500;
  color: #000000;
  padding: 10px 8px;
  display: flex;
}
.blog_header .blog_header_menu ul.blog_dropdown {
  border-top: 1px solid #ebebeb;
}

.blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item {
  border-bottom: unset !important;
}
.blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item a {
  font-weight: 400;
  padding: 10px 0px 10px 7px;
}

/* search css */
.blog_header .blog_header_search_area {
  border-bottom: 1px solid #ebebeb;
  padding-bottom: 4px;
}
.blog_header .blog_header_search_area .search_button {
  display: none;
}
.blog_header .search_field {
  display: flex;
  justify-content: space-between;
  padding: 0px 8px;
}
.blog_header .search_field input {
  width: 100%;
  font-size: 14px;
  font-weight: 500;
  color: #000000;
  padding: 8px 0;
  border: transparent;
}
.blog_header .search_field img {
  width: 16px;
}
.blog_header .search_field input::placeholder {
  font-size: 14px;
  font-weight: 500;
  color: #616161;
}
.close_button {
  display: none;
}
/* Auth button css css */
.blog_header .blog_header_auth_buttons {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 16px;
}
.blog_header .blog_header_auth_buttons .login_button,
.blog_header .blog_header_auth_buttons .trail_button {
  font-size: 16px;
  font-weight: 500;
  border: 1px solid #000000;
  width: 100%;
  padding: 8px;
  border-radius: 40px;
}
.blog_header .blog_header_auth_buttons .trail_button {
  background: #000000;
  color: #ffffff;
}

@media (min-width: 620px) {
  .blog_header .blog_header_auth_buttons {
    flex-direction: row;
  }
}
@media (min-width: 1024px) {
  button,
  a {
    cursor: pointer;
  }
}
@media (min-width: 1120px) {
  .blog_header {
    position: relative;
  }

  .blog_header .blog_header_content {
    height: 72px;
    gap: 28px;
  }
  /* logo */
  .blog_header .blog_header_logo {
    gap: 30px;
    width: 86px;
  }
  .blog_header .text_logo_more_text {
    width: 86px;
  }
  .blog_header .text_logo_more_text .more_button {
    display: none;
  }
  .blog_header .text_logo p {
    font-size: 16px;
  }
  /* menu */
  .blog_header .right_column {
    position: initial;
    left: unset;
    top: unset;
    display: flex;
    gap: 12px;
    justify-content: space-between;
    width: 100%;
    border: unset;
    box-shadow: unset;
    border-radius: unset;
    max-height: auto;
    visibility: visible;
    overflow: visible;
    opacity: 1;
  }
  .blog_header .right_column.open {
    background-color: transparent;
  }
  .blog_header .blog_header_menu {
    display: flex;
    align-items: center;
  }
  .blog_header .blog_header_menu ul.blog_menu {
    flex-direction: row;
    gap: 28px;
  }

  .blog_header .blog_header_menu ul.blog_menu li.blog_menu_item {
    border-bottom: unset;
    position: relative;
  }
  .blog_header .blog_header_menu ul.blog_menu li.blog_menu_item a {
    font-size: 16px;
    color: #ffffff;
  }
  .blog_header .blog_header_menu ul.blog_dropdown {
    position: absolute;
    background-color: #ffffff;
    width: 205px;
    box-shadow: 0px 4px 4px 0px #0000000d;
    border: 1px solid #ebebeb;
    border-radius: 8px;
    z-index: 15;
    top: 60px;
    height: 0px;
    visibility: hidden;
    overflow: hidden;
    opacity: 0.7;
    transform: translateY(10px);
    transition: transform 0.3s ease, opacity 0.03s;
  }
  .blog_header .blog_header_menu ul.blog_dropdown.open {
    height: 265px;
    opacity: 1;
    transform: translateY(0px);
    visibility: visible;
    overflow: visible;
  }

  .blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item a {
    font-size: 14px;
    color: #000000;
    font-weight: 400;
    padding: 13.5px 12px;
  }
  .blog_header .blog_header_menu ul.blog_dropdown li.blog_dropdown_item:hover a {
    background-color: #f3f3f3;
  }

  /* search */
  .blog_header .search_popup {
    height: 0px;
    border-top: 1px solid #222222;
    position: absolute;
    top: 72px;
    background-color: #000000;
    width: 100%;
    left: 0;
    display: flex;
    align-items: center;
    opacity: 0.7;
    visibility: hidden;
    overflow: hidden;
    transition: height 0.3s ease, opacity 0.3s ease, visibility 0.3s ease;
  }
  .blog_header .search_popup.open {
    height: 84px;
    opacity: 1;
    visibility: visible;
    overflow: visible;
  }
  .blog_header .blog_header_menu_and_search {
    display: flex;
    justify-content: space-between;
    width: calc(100% - 140px);
    flex-direction: row;
  }
  .blog_header .blog_header_search_area {
    display: flex;
    align-items: center;
    border-bottom: unset;
    padding-bottom: 0px;
  }
  .blog_header .search_field {
    max-width: 774px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0px 8px 0 0px;
    position: relative;
  }
  .blog_header .search_field input {
    border: 1px solid #222222;
    background-color: transparent;
    padding: 10px 35px;
    border-radius: 8px;
    color: #ffffff;
  }
  .blog_header .search_field input::placeholder {
    color: #616161;
  }
  .blog_header .search_field img {
    position: absolute;
    left: 13px;
    top: 50%;
    transform: translateY(-50%);
  }
  .blog_header .blog_header_search_area .search_button {
    display: flex;
    align-items: center;
    border-right: 1px solid #222222;
    padding-right: 12px;
  }
  .blog_header .blog_header_search_area .search_button button {
    font-size: 16px;
    font-weight: 500;
    color: #ffffff;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 0px;
  }
  .blog_header .blog_header_search_area .search_button button img {
    display: flex;
    align-items: center;
  }
  .blog_header .search_popup_container {
    padding: 0px 20px;
    display: flex;
    justify-content: space-between;
  }
  .close_button {
    display: block;
  }
  /* Auth button  css */

  .blog_header .blog_header_auth_buttons {
    display: flex;
    flex-direction: row;
    gap: 24px;
    margin-top: 0px;
  }
  .blog_header .blog_header_auth_buttons .login_button {
    min-width: fit-content;
    width: auto;
    display: flex;
    align-items: center;
    color: #ffffff;
  }
  .blog_header .blog_header_auth_buttons .trail_button {
    min-width: fit-content;
    width: auto;
    display: flex;
    align-items: center;
    padding: 8px 16px;
    border-radius: 40px;
    background-color: #ffffff;
    color: #000000;
  }
}
